Subject: Re: bug#66450: 29.1; Debbugs/Gnus sometimes corrupt git formatted patches

From: Eric Abrahamsen <[email-masked]>
Date: Tue, 17 Oct 2023 09:41:58 -0700

Maxim Cournoyer <[email-masked]> writes:

> Hi Eric,
>
> Eric Abrahamsen <[email-masked]> writes:
>
>> On 10/17/23 09:03 AM, Michael Albinus wrote:
>>> Maxim Cournoyer <[email-masked]> writes:
>>>
>>>> Hello,
>>>
>>> Hi Maxim,
>>>
>>>> Something similar to this have been recently added to the Guix
>>>> "Contributing" section, see
>>>> <https://guix.gnu.org/en/manual/devel/en/html_node/The-Perfect-Setup.html#Viewing-Bugs-within-Emacs>
>>>> or info "(guix) The Perfect Setup".  The regexps have been turned into
>>>> 'rx' expressions for readability.
>>>
>>> Thanks for the information. Scrolling through this guide, maybe I can
>>> give you some further comments? In
>>> <https://guix.gnu.org/en/manual/devel/en/html_node/Debbugs-User-Interfaces.html>,
>>> you recommend the command 'C-u M-x debbugs-gnu RET RET guix-patches RET
>>> n y'. However, if you configure debbugs-gnu-default-packages to '("guix"
>>> "guix-patches"), you don't need the prefix argument. Furthermore, Guix
>>> has its own commands in Debbugs, like debbugs-gnu-guix-search.
>>>
>>> All of this is off-topic for this bug. But I thought it might be helpful.
>>
>> Speaking of which... Unless someone wants to make an argument about
>> changing the defaults of the pipe-article command, it might be time to
>> close this report. Though it has been unusually productive!
>
> If we worry about backward compatibility, perhaps we could add a
> defcustom variable that'd be named
> e.g. 'gnus-always-process-raw-message' or similar, that'd do what its
> name says (e.g. when using 'pipe' or save-article, it'd process the raw
> message).  Eventually, it could be made the default behavior, if it has
> enough support.
>
> I could try implementing that, if it seems a good idea?

I guess I think a whole option just for this would be overkill,
particularly since it's only the pipe command that even offers the
possibility of toggling raw/treated. I suppose we could float a query on
gnus.general and see if anyone has a preference (I'd be interested in
seeing how many people are actually aware of the symbolic prefix), and
maybe call that good enough as a user survey.